# Note that this is NOT a relocatable package
%define ver      3.2
%define rel      1
%define mesaproduce CVS
%define mesadate 20000113
%define prefix   /usr
%define glxroot		$RPM_BUILD_DIR/glx

Name:		Mesa
Summary:	A GLX-based version of the Mesa 3-D graphics library
Version:	%ver
Release:	%rel
Serial: 	2000020401
Vendor: 	TurboLinux Japan
Copyright:	GPL/XFree86
Group:		X11/Libraries
Requires:	XFree86 >= 3.3.3
BuildRoot:	/var/tmp/glxMesa-%{ver}-%{rel}-root
Source:		ftp://ftp.mesa3d.org/mesa/beta/Mesa%{mesaproduce}-%{mesadate}.tar.gz
Conflicts:	glxMesa-mga, glxMesa-tnt, glxMesa-mach64
URL:		http://www.mesa3d.org/

%description
This is an implementation of the Mesa 3-D library and GLX.  GLX was developed
by SGI to integrate OpenGL with X11.  This allows the Mesa 3-D library to
perform its 3-D rendering functions within the X server's process, rather than
within the X client program.  This offers potential performance benefits,
because the rendered image does not have to be moved from the X client program
to the X server.  (Only the commands required to render the image are sent.)
It also makes 3-D hardware acceleration much more practical (and fast).  This
package includes a software based renderer that will work with any graphics
card supported by XFree86.

The Mesa 3-D graphics library is a powerful and generic toolset for creating
hardware assisted computer graphics.  To the extent that Mesa utilizes the
OpenGL command syntax or state machine, it is being used with authorization
from Silicon Graphics, Inc.  However, the author (Brian Paul) makes no claim
that Mesa is in any way a compatible replacement for OpenGL or associated with
Silicon Graphics, Inc. Those who want a licensed implementation of OpenGL
should contact a licensed vendor.  However, Mesa is very similar to OpenGL, and
you might find Mesa to be a valid alternative to OpenGL.

This package is based on Mesa %{mesaver}-%{glxver}.

%package devel
Summary: Development files for the glxMesa 3D library
Group: Development/Libraries
Requires: Mesa = %{version}

%description devel
This package contains the header files for the glxMesa 3D graphics library.

You need to install %{name}-devel if you want to compile applications using
glxMesa.

%prep
%setup -q -n Mesa

%build
FLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-m486//` # glxMesa doesn't like -m486

libtoolize --copy --force
aclocal
autoheader
cat >mkinstalldirs <<EOF
#!/bin/sh
exec mkdir -p \$*
EOF
cat >install-sh <<EOF
#!/bin/sh
exec /usr/bin/install \$*
EOF
chmod +x mkinstalldirs install-sh
automake || :
autoconf
%ifarch i686
./configure --prefix=/usr --sysconfdir=/etc --enable-optimize --enable-x86 --enable-mmx --enable-katmai --without-svga
%else
./configure --prefix=/usr --sysconfdir=/etc --enable-optimize --disable-mmx --disable-3dnow --without-svga
%endif
make
mkdir -p $RPM_BUILD_ROOT/etc/X11
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
	sysconfdir=$RPM_BUILD_ROOT/etc install

%install

%files 
%config /etc/mesa.conf
/usr/X11R6/lib/lib*

%files devel
%dir /usr/X11R6/include/GL
/usr/X11R6/include/GL/*

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/glxMesa*.files

%changelog
* Fri Feb 04 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the breakage caused by yesterday's changes
- split soure RPM into software and hardware-related parts.

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build support for all chipsets (including non-accelerated)
  no i810 support for now - that would require kernel changes.

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot (20000111), adding support for the
  i810 chipset and fixing up ATI.

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- fix build so it doesn't set -march needlessly

* Wed Dec 15 1999 Bill Nottingham <notting@redhat.com>
- fix sparc

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86 platforms
- Split in glxMesa and glxMesa-devel
- add download location to Source: fields
- handle RPM_OPT_FLAGS

* Fri Dec 03 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux, changed glx.conf installation directory

* Sat Oct 23 1999 Ryan Drake <rdrake@matrox.com>
- Removed --without-mmx-asm

* Thu Jun 17 1999 Ryan Skadberg <skadz@mindstorm.com>
- Updated to Mesa3.1beta2
- Used configure script, so we get 3DNow support if available

* Mon May 31 1999 Ian Pilcher <pilcher@concentric.net>
- Added %post & %preun scripts, telling the user to edit XF86Config

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- Created SPEC file template for scripted builds

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- XFree86 headers now included in GLX tree; useful SRPM now possible
- package release no longer reflects Red Hat version

* Wed May 19 1999 Ian Pilcher <pilcher@concentric.net>
- fixed problem of sed reading & writing Config simultaneously

* Tue May 18 1999 Ian Pilcher <pilcher@concentric.net>
- initial SPEC file; doesn't do anything fancy

